## org.eclipse.datatools.sqltools.data.internal.core.editor
Class TableEditorFilterRegistryReader

    java.lang.Object
      org.eclipse.datatools.sqltools.data.internal.core.editor.TableEditorFilterRegistryReader

    public class TableEditorFilterRegistryReader

extends java.lang.Object

Registry reader for Table Editor result set filters

Author:
  Quy On

Field Summary
`static java.lang.String` `TABLE_EDITOR_RESULT_FILTER`
`static java.lang.String` `TABLE_EDITOR_RESULT_FILTER_CLASS`
`static java.lang.String` `TABLE_EDITOR_RESULT_FILTER_VENDOR`

Method Summary
`ITableEditorResultFilter` `createTableEditorResultFilterExecutable()` Creates a new instance of filter executable.
`static TableEditorFilterRegistryReader` `getInstance()` Gets an instance of TableEditorFilterRegistryReader
`ITableEditorResultFilter` `getTableEditorResultFilter()` Gets the executable for external Table editor result filter.
`java.lang.String` `getVendor()` Gets the vendor attribute as set by the user
`boolean` `isExtenionFound()` Determines whether or not there are any extensions to this extension point
`boolean` `isFilterCanceled()` Gets whether or not user cancels the filter dialog
`boolean` `isMatchingVendor(Table aTable)` Determines whether or not a table belongs to a vendor which matches the vendor specified in the extension.
`void` `setFilterCanceled(boolean cancel)` Sets whether or not user cancels the filter dialog

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TABLE_EDITOR_RESULT_FILTER

    public static final java.lang.String TABLE_EDITOR_RESULT_FILTER

See Also:
  Constant Field Values

### TABLE_EDITOR_RESULT_FILTER_VENDOR

    public static final java.lang.String TABLE_EDITOR_RESULT_FILTER_VENDOR

See Also:
  Constant Field Values

### TABLE_EDITOR_RESULT_FILTER_CLASS

    public static final java.lang.String TABLE_EDITOR_RESULT_FILTER_CLASS

See Also:
  Constant Field Values

Method Detail

### getInstance

    public static TableEditorFilterRegistryReader getInstance()

  Gets an instance of TableEditorFilterRegistryReader

  Returns:
    an instance of TableEditorFilterRegistryReader

### getVendor

    public java.lang.String getVendor()

  Gets the vendor attribute as set by the user

  Returns:
    the vendor attribute as set by the user, or null if omitted

### getTableEditorResultFilter

    public ITableEditorResultFilter getTableEditorResultFilter()

  Gets the executable for external Table editor result filter.

  Returns:
    the executable for the table editor result filter. The previous cached filter class is returned if there is one. If not then a new class will be created.

### createTableEditorResultFilterExecutable

    public ITableEditorResultFilter createTableEditorResultFilterExecutable()

  Creates a new instance of filter executable. The new executable will override the previous one if it existed.

  Returns:
    a newly created executable for the editor result filter, or null if problem occurs during the creation. The return class implements ITableEditorResultFilter.

### isMatchingVendor

    public boolean isMatchingVendor(Table aTable)

  Determines whether or not a table belongs to a vendor which matches the vendor specified in the extension. If user omits the vendor element then this method will return true

  Parameters:
    `aTable` - the table to check against the vendor specified in the extension
  Returns:
    true if vendor of the table matches the vendor specified in the extension or if vendor is omitted in the extension. False will be returned if user specifies a vendor which does not match the vendor of the table.

### isExtenionFound

    public boolean isExtenionFound()

  Determines whether or not there are any extensions to this extension point

  Returns:
    true if there is an extension to tableEditorResultFilter extension-point, false if not.

### setFilterCanceled

    public void setFilterCanceled(boolean cancel)

  Sets whether or not user cancels the filter dialog

  Parameters:
    `cancel` - whether or not user cancels the filter action

### isFilterCanceled

    public boolean isFilterCanceled()

  Gets whether or not user cancels the filter dialog

  Returns:
    true if use cancels the filter dialog, false if not. By default, this value is false